platform :ios, '10.0'
source 'https://gitlab.com/numbereight/cocoapods'
source 'https://github.com/CocoaPods/Specs.git'

require_relative '../node_modules/@react-native-community/cli-platform-ios/native_modules'

target 'example' do
  rn_path = '../node_modules/react-native'

  pod 'FBLazyVector', :path => "#{rn_path}/Libraries/FBLazyVector"
  pod 'FBReactNativeSpec', :path => "#{rn_path}/Libraries/FBReactNativeSpec"
  pod 'RCTRequired', :path => "#{rn_path}/Libraries/RCTRequired"
  pod 'RCTTypeSafety', :path => "#{rn_path}/Libraries/TypeSafety"
  pod 'React', :path => "#{rn_path}"
  pod 'React-Core', :path => "#{rn_path}"
  pod 'React-CoreModules', :path => "#{rn_path}/React/CoreModules"
  pod 'React-Core/DevSupport', :path => "#{rn_path}"
  pod 'React-RCTActionSheet', :path => "#{rn_path}/Libraries/ActionSheetIOS"
  pod 'React-RCTAnimation', :path => "#{rn_path}/Libraries/NativeAnimation"
  pod 'React-RCTBlob', :path => "#{rn_path}/Libraries/Blob"
  pod 'React-RCTImage', :path => "#{rn_path}/Libraries/Image"
  pod 'React-RCTLinking', :path => "#{rn_path}/Libraries/LinkingIOS"
  pod 'React-RCTNetwork', :path => "#{rn_path}/Libraries/Network"
  pod 'React-RCTSettings', :path => "#{rn_path}/Libraries/Settings"
  pod 'React-RCTText', :path => "#{rn_path}/Libraries/Text"
  pod 'React-RCTVibration', :path => "#{rn_path}/Libraries/Vibration"
  pod 'React-Core/RCTWebSocket', :path => "#{rn_path}"

  pod 'React-cxxreact', :path => "#{rn_path}/ReactCommon/cxxreact"
  pod 'React-jsi', :path => "#{rn_path}/ReactCommon/jsi"
  pod 'React-jsiexecutor', :path => "#{rn_path}/ReactCommon/jsiexecutor"
  pod 'React-jsinspector', :path => "#{rn_path}/ReactCommon/jsinspector"
  pod 'ReactCommon/jscallinvoker', :path => "#{rn_path}/ReactCommon"
  pod 'ReactCommon/turbomodule/core', :path => "#{rn_path}/ReactCommon"
  pod 'Yoga', :path => "#{rn_path}/ReactCommon/yoga"

  pod 'DoubleConversion', :podspec => "#{rn_path}/third-party-podspecs/DoubleConversion.podspec"
  pod 'glog', :podspec => "#{rn_path}/third-party-podspecs/glog.podspec"
  pod 'Folly', :podspec => "#{rn_path}/third-party-podspecs/Folly.podspec"

  use_native_modules!
end
